ThreatPress

WordPress Vulnerabilities Database

Back

WordPress Picturesurf Gallery Plugin - Arbitrary File Upload

Product
Picturesurf Gallery
Description
WordPress Picturesurf Gallery plugin's "upload.php" is prone to an arbitrary file upload vulnerability. It allows an attacker to upload arbitrary PHP code and run it in the context of the Web server process. This may facilitate unauthorized access or privilege escalation.
Solution
Update the plugin.
Classification
Type Arbitrary File Upload
References
Exploit-DB
CVE
Name CVE-N/A
Versions
Affected In <= 1.2
Fixed In 1.3
Disclosure date
2012-06-03
Credits
Sammy FORGIT